package com.nisum.mytime.model;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.format.annotation.DateTimeFormat.ISO;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Document(collection = "EmployeeDetails")
public class EmployeeRoles implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    @Id
    private String id;
    private String employeeId;
    private String employeeName;
    private String emailId;
    private String role;
    private String designation;
    private String shift;
    private String baseTechnology;
    private String domain;
    private String empLocation;
    private String technologyKnown;
    private String mobileNumber;
    private String alternateMobileNumber;
    private String personalEmailId;
    private String functionalGroup;
    private String empStatus;
    private String employmentType;
    @DateTimeFormat(iso = ISO.DATE)
    private Date dateOfJoining;
    @DateTimeFormat(iso = ISO.DATE)
    private Date dateOfBirth;
    private Date createdOn;
    private Date lastModifiedOn;

}
